For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API Reference

Get instance by ID

GET
https://api.scrapybara.com/v1/instance/:instance_id
GET
/v1/instance/:instance_id
1import requests
2
3url = "https://api.scrapybara.com/v1/instance/instance_id"
4
5headers = {"x-api-key": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "id": "id",
3 "launch_time": "2024-01-15T09:30:00Z",
4 "instance_type": "ubuntu",
5 "status": "deploying",
6 "resolution": [
7 1
8 ]
9}
Was this page helpful?
Previous

List all instances

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

instance_idstringRequired

Response

Successful Response
idstring
launch_timedatetime
instance_typeenum
Allowed values:
statusenum
resolutionlist of integers

Errors

422
Get Request Unprocessable Entity Error